import { fetch } from '@/utils'
// 获取列表
export function getTodoList(params) {
  return fetch({
    url: '/appMobile/getAgency',
    method: 'post',
    data: params,
    loading: true
  })
}
// 获取待办详情
export function getTodoDetail(params) {
  return fetch({
    url: '/appMobile/returnResult',
    method: 'post',
    data: params,
    loading: true
  })
}
// 获取审批意见
export function getTodoOpinion(params) {
  return fetch({
    url: '/appMobile/getOpinion',
    method: 'post',
    data: params,
    loading: true
  })
}
// 获取详情更多
export function getTodoMore(params) {
  return fetch({
    url: '/appMobile/returnMore',
    method: 'post',
    data: params,
    loading: true
  })
}
// 获取流程图
export function getTodoFlow(params) {
  return fetch({
    url: '/appMobile/getFlow',
    method: 'post',
    data: params,
    loading: true
  })
}
// 提交审批
export function commitTodoData(params) {
  return fetch({
    url: '/appMobile/submitApproval',
    method: 'post',
    data: params,
    loading: true
  })
}
// 根据用户获取用户职位信息
export function getUserPost(params) {
  return fetch({
    url: '/appMobile/getPosition',
    method: 'post',
    data: params,
    loading: true
  })
}
// 获取高级搜索客户列表
export function getClientHttpList(params) {
  return fetch({
    url: '/appMobile/getCustomers',
    method: 'post',
    data: params,
    loading: true
  })
}
